StringExpr (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.exec.vector.expressions

## Class StringExpr

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.vector.expressions.StringExpr

-     public class StringExpr
      extends Object

  String expression evaluation helper functions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringExpr()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assign(BytesColumnVector outV, int i, byte[] bytes, int start, int length)`
    `static int` | `characterCount(byte[] bytes)`
    `static int` | `characterCount(byte[] bytes, int start, int length)`
    `static int` | `compare(byte[] arg1, int start1, int len1, byte[] arg2, int start2, int len2)`
    `static boolean` | `equal(byte[] arg1, int start1, int len1, byte[] arg2, int start2, int len2)`
    `static int` | `rightTrim(byte[] bytes, int start, int length)`
    `static void` | `rightTrim(BytesColumnVector outV, int i, byte[] bytes, int start, int length)`
    `static int` | `rightTrimAndTruncate(byte[] bytes, int start, int length, int maxLength)`
    `static void` | `rightTrimAndTruncate(BytesColumnVector outV, int i, byte[] bytes, int start, int length, int maxLength)`
    `static byte[]` | `rightTrimAndTruncateScalar(byte[] bytes, int maxLength)`
    `static int` | `truncate(byte[] bytes, int start, int length, int maxLength)`
    `static void` | `truncate(BytesColumnVector outV, int i, byte[] bytes, int start, int length, int maxLength)`
    `static byte[]` | `truncateScalar(byte[] bytes, int maxLength)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringExpr

          public StringExpr()

  - ### Method Detail

    - #### compare

          public static int compare(byte[] arg1,
                                    int start1,
                                    int len1,
                                    byte[] arg2,
                                    int start2,
                                    int len2)

    - #### equal

          public static boolean equal(byte[] arg1,
                                      int start1,
                                      int len1,
                                      byte[] arg2,
                                      int start2,
                                      int len2)

    - #### characterCount

          public static int characterCount(byte[] bytes)

    - #### characterCount

          public static int characterCount(byte[] bytes,
                                           int start,
                                           int length)

    - #### assign

          public static void assign(BytesColumnVector outV,
                                    int i,
                                    byte[] bytes,
                                    int start,
                                    int length)

    - #### rightTrim

          public static int rightTrim(byte[] bytes,
                                      int start,
                                      int length)

    - #### rightTrim

          public static void rightTrim(BytesColumnVector outV,
                                       int i,
                                       byte[] bytes,
                                       int start,
                                       int length)

    - #### truncate

          public static int truncate(byte[] bytes,
                                     int start,
                                     int length,
                                     int maxLength)

    - #### truncate

          public static void truncate(BytesColumnVector outV,
                                      int i,
                                      byte[] bytes,
                                      int start,
                                      int length,
                                      int maxLength)

    - #### truncateScalar

          public static byte[] truncateScalar(byte[] bytes,
                                              int maxLength)

    - #### rightTrimAndTruncate

          public static int rightTrimAndTruncate(byte[] bytes,
                                                 int start,
                                                 int length,
                                                 int maxLength)

    - #### rightTrimAndTruncate

          public static void rightTrimAndTruncate(BytesColumnVector outV,
                                                  int i,
                                                  byte[] bytes,
                                                  int start,
                                                  int length,
                                                  int maxLength)

    - #### rightTrimAndTruncateScalar

          public static byte[] rightTrimAndTruncateScalar(byte[] bytes,
                                                          int maxLength)

Copyright © 2016 The Apache Software Foundation. All rights reserved.